# Page Not Found

The URL `reference/constraints/constraint-augmented-generation-cag/primarytoprimarykeysubset` does not exist. This page may have been moved, renamed, or deleted.

## Suggested Pages

You may be looking for one of the following:
- [❖ PrimaryToPrimaryKeySubset](https://docs.sdv.dev/sdv/concepts/constraint-augmented-generation-cag/predefined-constraints/primarytoprimarykeysubset.md)
- [❖ ForeignToPrimaryKeySubset](https://docs.sdv.dev/sdv/concepts/constraint-augmented-generation-cag/predefined-constraints/foreigntoprimarykeysubset.md)
- [Constraints API](https://docs.sdv.dev/sdv/concepts/constraint-augmented-generation-cag/constraints-api.md)
- [Program Your Own Constraint](https://docs.sdv.dev/sdv/concepts/constraint-augmented-generation-cag/program-your-own-constraint.md)
- [❖ DenormalizedTable](https://docs.sdv.dev/sdv/concepts/constraint-augmented-generation-cag/predefined-constraints/denormalizedtable.md)

## How to find the correct page

If the exact page cannot be found, you can still retrieve the information using the documentation query interface.

### Option 1 — Ask a question (recommended)

Perform an HTTP GET request on the documentation index with the `ask` parameter:

```
GET https://docs.sdv.dev/sdv/concepts/constraint-augmented-generation-cag/predefined-constraints/primarytoprimarykeysubset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

### Option 2 — Browse the documentation index

Full index: https://docs.sdv.dev/sdv/sitemap.md

Use this to discover valid page paths or navigate the documentation structure.

### Option 3 — Retrieve the full documentation corpus

Full export: https://docs.sdv.dev/sdv/llms-full.txt

Use this to access all content at once and perform your own parsing or retrieval. It will be more expensive.

## Tips for requesting documentation

Prefer `.md` URLs for structured content, append `.md` to URLs (e.g., `/sdv/concepts/constraint-augmented-generation-cag/predefined-constraints/primarytoprimarykeysubset.md`).

You may also use `Accept: text/markdown` header for content negotiation.
